package com.bootdo.system.service;

import com.bootdo.system.domain.SearchDO;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * 
 * 
 * @author chglee
 * @email 1992lcg@163.com
 * @date 2021-06-08 15:25:01
 */
@Service
public interface SearchService {
	
	SearchDO get(Long id);
	
	List<SearchDO> list(Map<String, Object> map);
	
	int count(Map<String, Object> map);
	
	int save(SearchDO search);
	
	int update(SearchDO search);
	
	int remove(Long id);
	
	int batchRemove(Long[] ids);
}
